diff --git a/ldap/servers/slapd/back-ldbm/rmdb.c b/ldap/servers/slapd/back-ldbm/rmdb.c
index 3de4eaf84..de7cdfbb6 100644
--- a/ldap/servers/slapd/back-ldbm/rmdb.c
+++ b/ldap/servers/slapd/back-ldbm/rmdb.c
@@ -19,11 +19,13 @@
  */
 
 #include "back-ldbm.h"
+#include "dblayer.h"
 
 int
 ldbm_back_rmdb(Slapi_PBlock *pb)
 {
     struct ldbminfo *li = NULL;
+    dblayer_private *priv;
     /* char            *directory = NULL;*/
     int return_value = -1;
     Slapi_Backend *be;
@@ -48,8 +50,9 @@ ldbm_back_rmdb(Slapi_PBlock *pb)
     }
 
     slapi_pblock_get(pb, SLAPI_PLUGIN_PRIVATE, &li);
+    priv = (dblayer_private *)li->li_dblayer_private;
     /*    slapi_pblock_get( pb, SLAPI_SEQ_VAL, &directory );*/
-    return_value = dblayer_delete_database(li);
+    return_value = priv->dblayer_delete_db_fn(li);
 
     if (return_value == 0)
         be->be_state = BE_STATE_DELETED;
diff --git a/ldap/servers/slapd/back-ldbm/start.c b/ldap/servers/slapd/back-ldbm/start.c
index 7d0cd2296..1cdd560c8 100644
--- a/ldap/servers/slapd/back-ldbm/start.c
+++ b/ldap/servers/slapd/back-ldbm/start.c
@@ -289,7 +289,6 @@ int
 ldbm_back_start(Slapi_PBlock *pb)
 {
     struct ldbminfo *li;
-    char *home_dir = NULL;
     int action = 0;
     int retval = 0;
 
@@ -297,9 +296,9 @@ ldbm_back_start(Slapi_PBlock *pb)
 
     slapi_pblock_get(pb, SLAPI_PLUGIN_PRIVATE, &li);
 
-    /* parse the config file here */
-    if (0 != ldbm_config_load_dse_info(li)) {
-        slapi_log_err(SLAPI_LOG_ERR, "ldbm_back_start", "Loading database configuration failed\n");
+    /* initialize dblayer  */
+   if( dblayer_setup(li)) {
+        slapi_log_err(SLAPI_LOG_ERR, "ldbm_back_start", "Failed to setup dblayer\n");
         return SLAPI_FAIL_GENERAL;
     }
 
@@ -357,11 +356,14 @@ ldbm_back_start(Slapi_PBlock *pb)
         return SLAPI_FAIL_GENERAL;
     }
 
+    /* TBD do we want to go on with auto upgrades of old db versions and config 
+     * or take the opportunity to stop this ??
     retval = check_db_version(li, &action);
     if (0 != retval) {
         slapi_log_err(SLAPI_LOG_ERR, "ldbm_back_start", "db version is not supported\n");
         return SLAPI_FAIL_GENERAL;
     }
+     */
 
     if (action &
         (DBVERSION_UPGRADE_3_4 | DBVERSION_UPGRADE_4_4 | DBVERSION_UPGRADE_4_5)) {
@@ -397,12 +399,6 @@ ldbm_back_start(Slapi_PBlock *pb)
         }
     }
 
-    /* write DBVERSION file if one does not exist */
-    home_dir = dblayer_get_home_dir(li, NULL);
-    if (!dbversion_exists(li, home_dir)) {
-        dbversion_write(li, home_dir, NULL, DBVERSION_ALL);
-    }
-
 
     /* this function is called every time new db is initialized   */
     /* currently it is called the 2nd time  when changelog db is  */
diff --git a/ldap/servers/slapd/back-ldbm/vlv_srch.c b/ldap/servers/slapd/back-ldbm/vlv_srch.c
index c4c0875ad..b1dec676c 100644
--- a/ldap/servers/slapd/back-ldbm/vlv_srch.c
+++ b/ldap/servers/slapd/back-ldbm/vlv_srch.c
@@ -494,7 +494,7 @@ vlvIndex_delete(struct vlvIndex **ppvs)
             }
         }
         internal_ldap_free_sort_keylist((*ppvs)->vlv_sortkey);
-        dblayer_erase_index_file_nolock((*ppvs)->vlv_be, (*ppvs)->vlv_attrinfo, 1 /* chkpt if not busy */);
+        dblayer_erase_index_file((*ppvs)->vlv_be, (*ppvs)->vlv_attrinfo, PR_FALSE, 1 /* chkpt if not busy */);
         attrinfo_delete(&((*ppvs)->vlv_attrinfo));
         slapi_ch_free((void **)&((*ppvs)->vlv_name));
         slapi_ch_free((void **)&((*ppvs)->vlv_filename));
@@ -696,7 +696,7 @@ vlvIndex_go_offline(struct vlvIndex *p, backend *be)
     p->vlv_enabled = 0;
     p->vlv_indexlength = 0;
     p->vlv_attrinfo->ai_indexmask |= INDEX_OFFLINE;
-    dblayer_erase_index_file_nolock(be, p->vlv_attrinfo, 1 /* chkpt if not busy */);
+    dblayer_erase_index_file(be, p->vlv_attrinfo, PR_FALSE, 1 /* chkpt if not busy */);
 }
 
 void
diff --git a/ldap/servers/slapd/slapi-plugin.h b/ldap/servers/slapd/slapi-plugin.h
index 150cfc79f..5a466a912 100644
--- a/ldap/servers/slapd/slapi-plugin.h
+++ b/ldap/servers/slapd/slapi-plugin.h
@@ -7738,6 +7738,7 @@ int slapi_back_ctrl_info(Slapi_Backend *be, int cmd, void *info);
 enum
 {
     BACK_INFO_DBENV,               /* Get the dbenv */
+    BACK_INFO_DB_PAGESIZE,         /* Get the db page size */
     BACK_INFO_INDEXPAGESIZE,       /* Get the index page size */
     BACK_INFO_DBENV_OPENFLAGS,     /* Get the dbenv openflags */
     BACK_INFO_CRYPT_INIT,          /* Ctrl: clcrypt_init */
@@ -7745,8 +7746,9 @@ enum
     BACK_INFO_CRYPT_DECRYPT_VALUE, /* Ctrl: clcrypt_decrypt_value */
     BACK_INFO_DIRECTORY,           /* Get the directory path */
     BACK_INFO_LOG_DIRECTORY,       /* Get the txn log directory */
-    BACK_INFO_IS_ENTRYRDN,         /* Get the flag for entryrdn */
-    BACK_INFO_INDEX_KEY            /* Get the status of a key in an index */
+    BACK_INFO_INDEX_KEY,           /* Get the status of a key in an index */
+    BACK_INFO_DBHOME_DIRECTORY,    /* Get the dbhome directory */
+    BACK_INFO_IS_ENTRYRDN          /* Get the flag for entryrdn */
 };
 
 struct _back_info_index_key
-- 
2.17.1

